﻿using DxLibDLL;
using System;

namespace Tetris
{
    /// <summary>
    /// 背景を管理するクラス
    /// </summary>
    class Background
    {
        /// <summary>
        /// 描画処理
        /// </summary>
        public void Draw()
        {
            // 描画の基準座標
            int lx = (GL.ScrX - (GL.FldX * GL.BlkSiz)) / 2;
            int ly = (GL.ScrY - (GL.FldY * GL.BlkSiz)) / 2 + GL.BlkSiz;

            // 枠の描画
            for (int i = 0; i < 4; i++)
            {
                DX.DrawBox(
                    lx - i - 1,
                    ly - i - 1,
                    lx + (GL.FldX * GL.BlkSiz) + i,
                    ly + (GL.FldY * GL.BlkSiz) + i,
                    DX.GetColor(64 + (i * 64), 64 + (i * 64), 64 + (i * 64)),
                    DX.FALSE);
            }

            /*// マス目
            for (int x = 1; x < GL.FldX; x++)
            {
                DX.DrawLine(
                    lx + (x * GL.BlkSiz),
                    ly,
                    lx + (x * GL.BlkSiz),
                    ly + (GL.FldY * GL.BlkSiz),
                    DX.GetColor(0, 0, 255));
            }
            for (int y = 1; y < GL.FldY; y++)
            {
                DX.DrawLine(
                    lx,
                    ly + (y * GL.BlkSiz),
                    lx + (GL.FldX * GL.BlkSiz),
                    ly + (y * GL.BlkSiz),
                    DX.GetColor(0, 0, 255));
            }
            //*/
        }
    }
}
